org.apache.xerces.impl.dv.xs

## Class FloatDV

- java.lang.Object
- - org.apache.xerces.impl.dv.xs.TypeValidator
  - - org.apache.xerces.impl.dv.xs.FloatDV

-     public class FloatDV
      extends TypeValidator

  Represent the schema type "float"
  Version:
    $Id: FloatDV.java 933357 2010-04-12 18:49:51Z knoaman $
  Author:
    Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

      `EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatDV()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.Object value1, java.lang.Object value2)`
    `java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)`
    `boolean` | `isIdentical(java.lang.Object value1, java.lang.Object value2)`

    - ### Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

      `checkExtraRules, getDataLength, getDigit, getFractionDigits, getPrecision, getTotalDigits, hasPrecision, hasTimeZone, isDigit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatDV

          public FloatDV()

  - ### Method Detail

    - #### getActualValue

          public java.lang.Object getActualValue(java.lang.String content,
                                        ValidationContext context)
                                          throws InvalidDatatypeValueException

      Specified by:
        `getActualValue` in class `TypeValidator`
      Throws:
        `InvalidDatatypeValueException`

    - #### compare

          public int compare(java.lang.Object value1,
                    java.lang.Object value2)

      Overrides:
        `compare` in class `TypeValidator`

    - #### isIdentical

          public boolean isIdentical(java.lang.Object value1,
                            java.lang.Object value2)

      Overrides:
        `isIdentical` in class `TypeValidator`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.